<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    tools:context=".AvLogin">
    <ImageView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:src="@drawable/back_login"
        android:scaleType="centerCrop"/>
    <LinearLayout
        android:layout_width="@dimen/cr_180_dp"
        android:layout_height="match_parent"
        android:layout_alignParentTop="true"
        android:orientation="vertical"
        android:layout_alignParentRight="true"
        android:layout_marginRight="@dimen/cr_30_dp"
        android:gravity="center">
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:gravity="center_horizontal"
            android:layout_marginBottom="@dimen/cr_5_dp">
            <ImageView
                android:layout_width="@dimen/cr_40_dp"
                android:layout_height="@dimen/cr_40_dp"
                android:src="@drawable/login_log" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/login_view_name"
                android:textColor="@color/white"
                android:textSize="@dimen/sp_16"
                android:layout_marginTop="@dimen/cr_5_dp"
                android:letterSpacing="0.1"/>

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="{V2.0.3}"
                android:textColor="@color/white"
                android:textSize="@dimen/sp_10"
                android:layout_marginTop="@dimen/cr_5_dp"
                android:id="@+id/login_version"/>
        </LinearLayout>
        <!--登录页面具体内容-->
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_below="@+id/login_top_penal"
            android:orientation="vertical"
            android:background="@drawable/shape_back_login_small"
            android:padding="@dimen/cr_10_dp">
            <com.cr.widget.CrEditTextWidget
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:id="@+id/login_username"
                app:crHint="@string/login_hint_username"
                app:crLeftImg="@drawable/ico_my"/>
            <com.cr.widget.CrEditTextWidget
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:id="@+id/login_password"
                app:crHint="@string/login_hint_password"
                app:crLeftImg="@drawable/ico_password"/>
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                android:layout_marginRight="@dimen/cr_8_dp"
                android:layout_marginLeft="@dimen/cr_8_dp"
                android:layout_marginTop="@dimen/cr_8_dp">
                <Button
                    android:id="@+id/login_btn_login"
                    style="@style/login_button_style"
                    android:background="@drawable/btn_blue_selector"
                    android:text="@string/login_btn_login" />
                <Button
                    android:id="@+id/login_btn_set"
                    style="@style/login_button_style"
                    android:background="@drawable/btn_set_selector"
                    android:textColor="@color/login_txt_color"
                    android:text="@string/login_btn_set" />
            </LinearLayout>
            <!--记住用户名和密码-->
            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/cr_5_dp"
                android:orientation="horizontal"
                android:gravity="center_vertical"
                android:layout_gravity="center">
                <Switch
                    style="@style/switch_common"
                    android:id="@+id/switch_password"
                    android:checked="true"/>
                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textColor="@color/login_txt_color"
                    android:textSize="@dimen/sp_12"
                    android:text="@string/login_save_userandpass"/>
            </LinearLayout>
        </LinearLayout>
    </LinearLayout>
    <!--底部版权和所有权-->
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:layout_marginBottom="@dimen/cr_5_dp"
        android:orientation="vertical">

        <TextView
            style="@style/login_bottom_lbl_style"
            android:text="@string/login_copyright"/>

        <TextView
            style="@style/login_bottom_lbl_style"
            android:text="@string/login_technical_support" />
    </LinearLayout>
    <!--左侧弹窗容器-->
    <FrameLayout
        android:id="@+id/av_frm_left_panel"
        android:layout_width="@dimen/cr_200_dp"
        android:layout_height="match_parent"
        android:orientation="vertical"/>

</RelativeLayout>